<?php
/**
 *
 * WARNING: Please do not edit this file.
 * @see http://codex.wordpress.org/Child_Themes
 *
 * Load the theme function files (options panel, theme functions, widgets, etc...).
 */

include_once get_template_directory() . '/includes/Capture.php'; // Capture Class (main functionality, actions/filters)

include_once get_template_directory() . '/includes/class-tgm-plugin-activation.php'; // TGM Activation

include_once get_template_directory() . '/includes/theme-options.php'; // SDS Theme Options
include_once get_template_directory() . '/includes/theme-functions.php'; // SDS Theme Options Functions
include_once get_template_directory() . '/includes/widget-social-media.php'; // SDS Social Media Widget

// Theme Updates
if ( ! class_exists( 'EDD_SL_Theme_Updater' ) )
	include_once get_template_directory() . '/includes/class-edd-sl-theme-updater.php';

/**
 * ---------------
 * Theme Specifics
 * ---------------
 */

/**
 * This function registers all color schemes available in this theme.
 */
if ( ! function_exists( 'sds_color_schemes' ) ) {
	function sds_color_schemes() {
		$color_schemes = array(
			'default' => array( // Name used in saved option
				'label' => __( 'Default', 'capture' ), // Label on options panel (required)
				'stylesheet' => false, // Stylesheet URL, relative to theme directory (required)
				'preview' => '#222222', // Preview color on options panel (required)
				'content_color' => '#333333', // Default content color (required)
				'primary_color' => '#222222', // Default primary color (required)
				'secondary_color' => '#ffffff', // Default secondary color (required)
				'default' => true
			),
			'caribbean' => array(
				'label' => __( 'Caribbean', 'capture' ),
				'stylesheet' => '/css/caribbean.css',
				'preview' => '#2d7489',
				'content_color' => '#333333',
				'primary_color' => '#2d7489',
				'secondary_color' => '#fff',
				'deps' => 'capture'
			),
			'cherry-blossom' => array(
				'label' => __( 'Cherry Blossom', 'capture' ),
				'stylesheet' => '/css/cherry-blossom.css',
				'preview' => '#e85759',
				'content_color' => '#333333',
				'primary_color' => '#e85759',
				'secondary_color' => '#fff',
				'deps' => 'capture'
			),
			'forest' => array(
				'label' => __( 'Forest', 'capture' ),
				'stylesheet' => '/css/forest.css',
				'preview' => '#0f7447',
				'content_color' => '#333333',
				'primary_color' => '#0f7447',
				'secondary_color' => '#fff',
				'deps' => 'capture'
			),
			'good-as-gold' => array(
				'label' => __( 'Good As Gold', 'capture' ),
				'stylesheet' => '/css/good-as-gold.css',
				'preview' => '#fbb829',
				'content_color' => '#333333',
				'primary_color' => '#fbb829',
				'secondary_color' => '#fff',
				'deps' => 'capture'
			),
			'grape' => array(
				'label' => __( 'Grape', 'capture' ),
				'stylesheet' => '/css/grape.css',
				'preview' => '#6c3d7e',
				'content_color' => '#333333',
				'primary_color' => '#6c3d7e',
				'secondary_color' => '#fff',
				'deps' => 'capture'
			),
			'mint' => array(
				'label' => __( 'Mint', 'capture' ),
				'stylesheet' => '/css/mint.css',
				'preview' => '#3ad59c',
				'content_color' => '#333333',
				'primary_color' => '#3da59c',
				'secondary_color' => '#fff',
				'deps' => 'capture'
			),
			'neutral' => array(
				'label' => __( 'Neutral', 'capture' ),
				'stylesheet' => '/css/neutral.css',
				'preview' => '#a29564',
				'content_color' => '#333333',
				'primary_color' => '#a29564',
				'secondary_color' => '#fff',
				'deps' => 'capture'
			),
			'orange-peel' => array(
				'label' => __( 'Orange Peel', 'capture' ),
				'stylesheet' => '/css/orange-peel.css',
				'preview' => '#fd590a',
				'content_color' => '#333333',
				'primary_color' => '#fd590a',
				'secondary_color' => '#fff',
				'deps' => 'capture'
			),
			'slocum-blue' => array(
				'label' => __( 'Slocum Blue', 'capture' ),
				'stylesheet' => '/css/slocum-blue.css',
				'preview' => '#3c639a',
				'content_color' => '#333333',
				'primary_color' => '#3c639a',
				'secondary_color' => '#fff',
				'deps' => 'capture'
			)
		);

		return apply_filters( 'sds_theme_options_color_schemes', $color_schemes );
	}
}

/**
 * This function registers all web fonts available in this theme.
 *
 * Note: Capture requires both Damion and Oswald webfonts for post titles and site title. We're
 * including those fonts as well below.
 */
if ( ! function_exists( 'sds_web_fonts' ) ) {
	function sds_web_fonts() {
		$web_fonts = array(
			// Average Sans
			'Damion|Oswald|Average+Sans:400' => array( // Name used in saved option
				'label' => 'Average Sans', // Label on options panel (required)
				'css' => 'font-family: \'Average Sans\', sans-serif;' // CSS declarations for font (font-family is required)
			),
			// Lato
			'Damion|Oswald|Lato:300' => array(
				'label' => 'Lato 300',
				'css' => 'font-family: \'Lato\', sans-serif; font-weight: 300;'
			),
			'Damion|Oswald|Lato:400' => array(
				'label' => 'Lato',
				'css' => 'font-family: \'Lato\', sans-serif;'
			),
			'Damion|Oswald|Lato:700' => array(
				'label' => 'Lato 700',
				'css' => 'font-family: \'Lato\', sans-serif; font-weight: 700;'
			),
			// Montserrat
			'Damion|Oswald|Montserrat:400' => array(
				'label' => 'Montserrat',
				'css' => 'font-family: \'Montserrat\', sans-serif;'
			),
			'Damion|Oswald|Montserrat:700' => array(
				'label' => 'Montserrat 700',
				'css' => 'font-family: \'Montserrat\', sans-serif; font-weight: 700;'
			),
			// Muli
			'Damion|Oswald|Muli:400' => array(
				'label' => 'Muli',
				'css' => 'font-family: \'Muli\', sans-serif;'
			),
			// Quattrocento
			'Damion|Oswald|Quattrocento+Sans:400' => array(
				'label' => 'Quattrocento Sans',
				'css' => 'font-family: \'Quattrocento Sans\', sans-serif;'
			),
			'Damion|Oswald|Quattrocento+Sans:700' => array(
				'label' => 'Quattrocento Sans 700',
				'css' => 'font-family: \'Quattrocento Sans\', sans-serif; font-weight: 700;'
			)
		);

		return apply_filters( 'sds_theme_options_web_fonts', $web_fonts );
	}
}

/**
 * This function sets the default image dimensions string on the options panel.
 */
if ( ! function_exists( 'sds_theme_options_logo_dimensions' ) ) {
	add_filter( 'sds_theme_options_logo_dimensions', 'sds_theme_options_logo_dimensions' );

	function sds_theme_options_logo_dimensions( $default ) {
		return '600x180';
	}
}

/**
 * This function sets a default featured image size for use in this theme.
 */
if ( ! function_exists( 'sds_theme_options_default_featured_image_size' ) ) {
	add_filter( 'sds_theme_options_default_featured_image_size', 'sds_theme_options_default_featured_image_size' );

	function sds_theme_options_default_featured_image_size( $default ) {
		return 'capture-1200x500';
	}
}

/**
 * This function adds the custom Theme Customizer styles to the <head> tag.
 */
if ( ! function_exists( 'capture_wp_head' ) ) {
	add_filter( 'wp_head', 'capture_wp_head', 20 );

	function capture_wp_head() {
		$sds_theme_options_instance = SDS_Theme_Options_Instance();
	?>
		<style type="text/css" id="<?php echo $sds_theme_options_instance->get_parent_theme()->get_template(); ?>-theme-customizer">
			<?php if( $background_color = get_background_color() ) : ?>
				/* Background Color */
				.post:after, .post:before, .post-container:after, .post-container:before,
				.primary-sidebar-widget:before, .primary-sidebar-widget:after,
				.widget-container:before, .widget-container:after {
					background-color: #<?php echo $background_color; ?>;
				}
			<?php endif; ?>

			<?php if( $background = set_url_scheme( get_background_image() ) ) : ?>
				/* Background Image */
				.post:before, .post:after, .post-container:after, .post-container:before,
				.primary-sidebar-widget:before, .primary-sidebar-widget:after,
				.widget-container:before, .widget-container:after {
					background-color: transparent;
				}
			<?php endif; ?>

			<?php
				// If we have a primary color selected by the user
				if ( ( $theme_mod_primary_color = sds_get_theme_mod( 'primary_color' ) ) ) :
			?>
				/* Primary Color */
				h1.site-title a, .primary-nav ul li a, .primary-nav-container ul li a,
				section.breadcrumb, section.breadcrumb a, .post-title, .page-title,
				.post-title a, .primary-nav ul li a:hover, .primary-nav ul li.current_page_item a,
				.primary-nav-container ul li a:hover, .primary-nav-container ul li.current_page_item a {
					color: <?php echo $theme_mod_primary_color; ?>;
				}

				a.more-link, .post-content a.more-link, a.read-more, a.post-edit-link, .button,
				.post-navigation .previous-posts a, .post-navigation .next-posts a,
				.comment-reply-link, .comment-navigation a, #cancel-comment-reply-link, .comments-container #submit,
				.post-content .button, .widget .button, .post-content a.button, .widget a.button,
				button, input[type=reset], input[type=submit],
				.page-numbers li .page-numbers, .page-numbers li  span.current, .page-numbers li  span.dots,
				a.more-link:hover, a.read-more:hover, a.post-edit-link:hover, .button:hover,
				.post-navigation .previous-posts a:hover, .post-navigation .next-posts a:hover,
				.comment-reply-link:hover, .comment-navigation a:hover, #cancel-comment-reply-link:hover,
				.comments-container #submit:hover, .post-content .button:hover, .widget .button:hover,
				.post-content a.button:hover, .widget a.button:hover, button:hover,
				input[type=reset]:hover, input[type=submit]:hover,
				.page-numbers li span.current, ul.page-numbers li a.page-numbers:hover,
				.mobile-menu li a:hover
				.mc-gravity .gform_heading, .mc_gravity .gform_heading,
				.mc-newsletter .gform_heading,.mc_newsletter .gform_heading,
				.mc-gravity_wrapper .gform_heading, .mc_gravity_wrapper .gform_heading,
				.mc-newsletter_wrapper .gform_heading, .mc_newsletter_wrapper .gform_heading {
					background-color: <?php echo $theme_mod_primary_color; ?>;
					color: #fff;
				}

				.primary-nav ul li.page_item_has_children:after, .primary-nav-container ul li.menu-item-has-children:after {
					border-top-color: <?php echo $theme_mod_primary_color; ?>;
				}

				.primary-nav ul ul.children li.page_item_has_children:after, .primary-nav-container ul ul.sub-menu li.menu-item-has-children:after {
					border-left-color: <?php echo $theme_mod_primary_color; ?>;
				}

				#footer {
					box-shadow: inset 1px 4px 7px -6px <?php echo $theme_mod_primary_color; ?>;
				}

				@media only screen and (max-width : 768px) {
					.top-bar, .mobile-menu {
						background: <?php echo $theme_mod_primary_color; ?>;
					}
				}
			<?php
				endif;
			?>

			<?php
				// If we have a secondary color selected by the user
				if ( ( $theme_mod_secondary_color = sds_get_theme_mod( 'secondary_color' ) ) ) :
			?>
				/* Secondary Colors */
				#header, .post, .primary-sidebar-widget, body > .social-media-icons a, #footer {
					background-color: <?php echo $theme_mod_secondary_color; ?>;
				}
			<?php
				endif;
			?>

			<?php
				// If we have a link color selected by the user
				if ( ( $theme_mod_link_color = sds_get_theme_mod( 'link_color', array( 'link_color', 'primary_color' ) ) ) ) :
			?>
				/* Link Color */
				a, .post-content a, body > .social-media-icons a, .post-date a:hover,
				body > .social-media-icons a:hover, .post-content a:hover, .widget a:hover {
					color: <?php echo $theme_mod_link_color; ?>;
				}

				a.more-link, .post-content a.more-link {
					color: #fff;
				}

				.post-date a:hover, body > .social-media-icons a:hover, .post-title a:hover {
					background: <?php echo get_theme_mod( 'secondary_color' ); ?>;
				}

				.post-content a, .widget a, .post-footer a.comments-link:hover {
					border-bottom-color: <?php echo $theme_mod_link_color; ?>;
				}

				/* Primary Color (keep site title as the primary theme color) */
				h1.site-title a, .post-title a:hover {
					color: <?php echo get_theme_mod( 'primary_color' ); ?>;
				}
			<?php
				endif;
			?>

			<?php
				// If we have a content color selected by the user
				if ( ( $theme_mod_content_color = sds_get_theme_mod( 'content_color' ) ) ) :
			?>
				/* Content Color */
				article.content, .post-content, .post-date, .post-footer .post-meta p, #post-author {
					color: <?php echo $theme_mod_content_color; ?>;
			}
			<?php
				endif;
			?>
		</style>
	<?php
	}
}

if ( ! function_exists( 'sds_copyright_branding' ) ) {
	add_filter( 'sds_copyright_branding', 'sds_copyright_branding', 10, 2 );

	function sds_copyright_branding( $text, $theme_name ) {
		return '<a href="http://scottjsousa.com/?utm_source=' . esc_url( home_url() ) . '&amp;utm_medium=footer-plugs&amp;utm_campaign=WordPressThemes" target="_blank">' . $theme_name . ' by Scott Sousa</a> &amp; <a href="http://slocumthemes.com/wordpress-themes/capture/?utm_source=' . esc_url( home_url() ) . '&amp;utm_medium=footer-plugs&amp;utm_campaign=WordPressThemes" target="_blank">Slocum Studio</a>';
	}
}


/**
 * This function outputs mobile a navigation HTML structure combining both the top and primary menu items.
 *
 * It will only output the primary menu items from each menu and those items will contain information such as current menu item.
 */
function capture_mobile_menu() {
	global $post;

	// Make sure we have nav menus and they aren't empty
	$nav_menu_locations = get_nav_menu_locations();
	if ( $nav_menu_locations = array_filter( $nav_menu_locations ) ) :
		// Make sure the top menu is always above the primary menu
		array_multisort( $nav_menu_locations, SORT_DESC );
	?>
		<ul id="mobile-menu" class="menu mobile-menu mobile-nav">
			<li class="menu-item close-item close">
				<button class="mobile-nav-close-button">
					<!--[if gt IE 8]><!-->
						<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" x="0px" y="0px" width="100px" height="100px" viewBox="0 0 100 100" enable-background="new 0 0 100 100" xml:space="preserve"><path fill="#FFFFFF" d="M63.973 49.999l34.76-34.762c1.335-1.333 1.335-3.494 0-4.826l-9.144-9.146 c-1.333-1.332-3.493-1.332-4.827 0L50 36.028L15.237 1.265c-1.332-1.332-3.493-1.332-4.826 0l-9.146 9.146 c-1.333 1.332-1.333 3.493 0 4.826l34.763 34.762L1.267 84.762c-1.334 1.334-1.334 3.493 0 4.826l9.145 9.146 c1.333 1.334 3.495 1.334 4.826 0L50 63.973l34.761 34.761c1.334 1.334 3.493 1.334 4.826 0l9.146-9.146 c1.333-1.333 1.333-3.492 0-4.826L63.973 49.999z"/></svg>
					<!--<![endif]-->
					<span class="mobile-nav-close-button-label"><?php _e( 'Close', 'capture' ); ?></span>
				</button>
			</li>
		<?php
			foreach( $nav_menu_locations as $menu_location_key => $menu_location ) :
				$nav_menu_object = wp_get_nav_menu_object( $menu_location ); // Get current nav menu object
		?>
				<li class="menu-item menu-label <?php echo $menu_location_key . '_label'; ?>"><?php echo $nav_menu_object->name; ?></li>
		<?php
				// Show mobile menu sub-pages
				if ( ! isset( $sds_theme_options['capture']['mobile_menu']['hide_sub_pages'] ) || ! $sds_theme_options['capture']['mobile_menu']['hide_sub_pages'] ) :
					wp_nav_menu( array(
						'theme_location' => $menu_location_key,
						'container' => false,
						'items_wrap' => '%3$s'
					) );
				// Hide mobile menu sub-pages
				else:
					$nav_menu_items = wp_get_nav_menu_items( $menu_location );
	
					// Loop through nav items
					if ( ! empty( $nav_menu_items ) ) :
						foreach( $nav_menu_items as $menu_item ) :
							// Only parent elements
							if ( ! $menu_item->menu_item_parent ) :
							?>
								<li class="menu-item <?php echo ( $menu_item->object_id == $post->ID ) ? 'current-menu-item current-nav-item current_page_item' : false; ?>"><a href="<?php echo $menu_item->url; ?>"><?php echo $menu_item->title; ?></a></li>
							<?php
							endif;
						endforeach;
					endif;
				endif;
			endforeach;

			// Social Media Icons
		?>
			<li class="social-media"><?php sds_social_media(); ?></li>
		</ul>
	<?php
	else : // No nav menus set
	?>
		<ul id="mobile-menu" class="menu mobile-menu mobile-nav">
			<li class="menu-item close-item close">
				<button class="mobile-nav-close-button">
					<!--[if gt IE 8]><!-->
						<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" x="0px" y="0px" width="100px" height="100px" viewBox="0 0 100 100" enable-background="new 0 0 100 100" xml:space="preserve"><path fill="#FFFFFF" d="M63.973 49.999l34.76-34.762c1.335-1.333 1.335-3.494 0-4.826l-9.144-9.146 c-1.333-1.332-3.493-1.332-4.827 0L50 36.028L15.237 1.265c-1.332-1.332-3.493-1.332-4.826 0l-9.146 9.146 c-1.333 1.332-1.333 3.493 0 4.826l34.763 34.762L1.267 84.762c-1.334 1.334-1.334 3.493 0 4.826l9.145 9.146 c1.333 1.334 3.495 1.334 4.826 0L50 63.973l34.761 34.761c1.334 1.334 3.493 1.334 4.826 0l9.146-9.146 c1.333-1.333 1.333-3.492 0-4.826L63.973 49.999z"/></svg>
					<!--<![endif]-->
					<span class="mobile-nav-close-button-label"><?php _e( 'Close', 'capture' ); ?></span>
				</button>
			</li>
			<li class="menu-item menu-label primary_nav_label"><?php printf( __( '%1$s', 'capture' ), apply_filters( 'capture_primary_nav_fallback_label', 'Primary Menu:' ) ); ?></li>
	<?php
			wp_list_pages( array(
				'depth' => ( ! isset( $sds_theme_options['capture']['mobile_menu']['hide_sub_pages'] ) || ! $sds_theme_options['capture']['mobile_menu']['hide_sub_pages'] ) ? 0 : 1,
				'title_li' => false
			) );

			// Social Media Icons
	?>
			<li class="social-media"><?php sds_social_media(); ?></li>
		</ul>
	<?php
	endif;
}

/**
 * This function checks to see if the current post has a featured video.
 */
if ( ! function_exists( 'has_post_video' ) ) {
	function has_post_video( $post_id ) {
		return ( bool ) get_post_meta( $post_id, '_capture_video_url', true );
	}
}

/**
 * This outputs the current post's featured video embed code.
 */
if ( ! function_exists( 'the_post_video' ) ) {
	function the_post_video( $post_id ) {
		$video_url = get_post_meta( $post_id, '_capture_video_url', true );

		echo wp_oembed_get( $video_url, array( 'width' => 1200 ) );
	}
}